Package org.gradle.tooling

# Interface TestFailure

All Superinterfaces:
  `Failure`

All Known Subinterfaces:
  `FileComparisonTestAssertionFailure`, `TestAssertionFailure`, `TestFrameworkFailure`

@Incubating public interface TestFailure extends Failure
Describes a test failure, that can either be a test assertion failure or a test framework failure.

Since:
  7.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  The fully-qualified name of the underlying exception type.
  `String`
  `getStacktrace()`
  The stringified version of the stacktrace created from the underlying exception.

  ### Methods inherited from interface org.gradle.tooling.Failure

  `getCauses, getDescription, getMessage, getProblems`

- ## Method Details

  - ### getClassName

    String getClassName()
    The fully-qualified name of the underlying exception type.
    Returns:
      The exception class name

  - ### getStacktrace

    String getStacktrace()
    The stringified version of the stacktrace created from the underlying exception.
    Returns:
      the stacktrace